Bug 31055 - big kppp memory leak
Summary: big kppp memory leak
Status: RESOLVED NOT A BUG
Alias: None
Product: kppp
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Mandrake RPMs Linux
: NOR normal with 25 votes (vote)
Target Milestone: ---
Assignee: Harri Porten
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2001-08-19 14:03 UTC by wigren
Modified: 2007-12-10 21:47 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description wigren 2001-08-19 13:56:41 UTC
(*** This bug was imported into bugs.kde.org ***)

Package:           kppp
Version:           KDE 2.2.0 
Severity:          normal
Installed from:    Mandrake RPMs
Compiler:          Not Specified
OS:                Linux
OS/Compiler notes: Mandrake cooker

I've been running kppp for about 5 days in a row without restarting it now. In that time I've been connected maybe 20 times and a total of 20 hours. kppp is now using almost 25% of the memory on my system.  I don't know what info you need so please ask me!

(Submitted via bugs.kde.org)
Comment 1 Craig Ringer 2002-04-18 14:13:50 UTC
--a8Wt8u1KmwUX3Y2C
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

Hi all
Just confirming that I've encountered this bug with Debian Woody and
kppp 2.0.3 (kde 2.2.2 Qt 2.3.1)

There is a full bug report at bugs.debian.org see bugs reported by
"kppp: monster memory leak" which has been submitted and confirmed but
isn't yet listed so I don't have a bug# yet.=20

Kppp is currently using over 100mb of RAM.

Kill -15 time.

--=20
|  Craig Ringer
|  IT Manager POST Newspapers
|  http://www.postnewspapers.com.au/
|  --If it ain't broke add features 'till it is

--a8Wt8u1KmwUX3Y2C
Content-Type: application/pgp-signature
Content-Disposition: inline

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.6 (GNU/Linux)
Comment: For info see http://www.gnupg.org

iD8DBQE8vtSX087NwA6TOA0RAmbpAJ49ipy/qjl5pYqXiD5z3Ip9O+BDsQCbBmF+
7/ec9FNQ79jMUFMOQcSI9KU=
=7WMa
-----END PGP SIGNATURE-----

--a8Wt8u1KmwUX3Y2C--
Comment 2 Stephan Kulow 2002-11-06 21:57:30 UTC
does this still happen with KDE 3.1RC2? I haven't found the debian reports 
you're refering to. 
Comment 3 Ismail Donmez 2003-08-23 23:43:41 UTC
Reporter can you please give status about this bug? 
Comment 4 Dominique Devriese 2003-12-08 01:34:25 UTC
Subject: Debian bug url

For the record, the original Debian bug report is here:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=143457
cheers
domi

Comment 5 Daniel Naber 2004-01-24 18:07:43 UTC
Not sure if the bug still exists, but considering how easy it can be worked around it's not "grave".
Comment 6 George Goldberg 2007-11-09 03:51:24 UTC
Is this bug still present in a recent version of KDE, such as 3.5.8.
Comment 7 J Appel 2007-12-10 21:47:43 UTC
As proposed on http://techbase.kde.org/Contribute/Bugsquad/Bugs_to_be_done this bug is marked as closed (no response within 30 days). If the problem still exists please re-open.